Commit Diff


commit - 3e0304fe259cc2d0aa80a613d280844f10a881d5
commit + 6e9d7766439f38442605ce08d2ffc11fe3751a76
blob - 2d689f30732ac87e641a66d5b8258646763bb082
blob + 76d26d77e0afdc5b7975555ec005cb73c326a434
--- regress/gotd/connection_limit.sh
+++ regress/gotd/connection_limit.sh
@@ -40,6 +40,23 @@ EOF
 		return 1
 	fi
 
+	sleep 1
+
+	# All connections are closed, so we should be able to connect again.
+	got clone -q -l ssh://${GOTD_DEVUSER}@127.0.0.1/${GOTD_TEST_REPO_NAME} \
+		> $testroot/stdout 2> $testroot/stderr
+
+	grep ^HEAD $testroot/stdout > $testroot/stdout.filtered
+	echo 'HEAD: refs/heads/main' > $testroot/stdout.expected
+
+	cmp -s $testroot/stdout.expected $testroot/stdout.filtered
+	ret=$?
+	if [ $ret -ne 0 ]; then
+		diff -u $testroot/stdout.expected $testroot/stdout.filtered
+		test_done "$testroot" "$ret"
+		return 1
+	fi
+
 	test_done "$testroot" "0"
 }